﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.11.6/gitea-1.11.6-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.11.6/gitea-1.11.6-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = '383fc4433ccea4d70f44ed244ffb8c2e2731825d6652899d2d767f2ee8cc7dc5'
  checksumType  = 'sha256'
  checksum64    = '0823bc9675f3d99cb41d7af55e9f54b5d38295c70d47e95df56dd9732d65eba5'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
